from ..services import printer, client, util
from ..const import COMMAND

def list(all=False, state=None, order_by='JobId', desc='', limit=20, watch=True):
    job_list = client.list_jobs()
    total = len(job_list)

    # format Date
    job_list = printer.format_date_fields(job_list,['StartTime','EndTime','CreateTime','CreationTime'], util.JOB_KEYS)
    t = job_list


    # filter states
    if state != None:
        t = util.filter_list(t, {'State': state.split(',')})


    # order by
    t = util.order_by(t, order_by.split(','), False if (desc and desc.lower()=='false') else True)

    # limit
    if limit>= 0:
        t = t[:int(limit)]

    # calc Progress
    t = util.calc_job_progress(t)

    printer.print_title('Jobs (limit %d rows):' % limit)
    if all:
        printer.print_arr(t)
    else:
        printer.print_arr(t, util.JOB_COLS)

    printer.total(total)
    printer.tip('Type "%s job <job_id>" to get job detail' % COMMAND)


def transform_state(state=''):
    return {
        'waiting': 'Waiting',
        'running': 'Running',
        'failed': 'Failed',
        'finished': 'Finished',
        'stopped': 'Stopped'
    }.get(state.lower())

def transform_limit(limit=10):

    try:
        return int(limit)
    except:
        raise Exception('--limit must be a Positive interger')
