
from batchcompute.utils.functions import ConfigError
from terminal import Logger

from ..services import config, client,printer

log = Logger()

def _setLoginConfig(key, value):
    config.setConfig(config.COMMON, key,value)

def login(region, accessKeyId, accessKeySecret):
    if '.' in region:
        client.check_client({'endpoint':region,
           'accesskeyid': accessKeyId, 'accesskeysecret':accessKeySecret})
        
        _setLoginConfig('endpoint', region)
    else:
        try:
            client.check_client({'region':region ,
                'accesskeyid': accessKeyId, 'accesskeysecret':accessKeySecret})
        except ConfigError as e:
            raise ConfigError('Invalid region %s, %s' % (region, e))
        _setLoginConfig('region', region)

    _setLoginConfig('accesskeyid', accessKeyId)
    _setLoginConfig('accesskeysecret', accessKeySecret)

    printer.done('login success')
