# -*- coding: UTF-8 -*-

from ..services import oss_client, client, project,printer
import json

def update(oss_path=None, image_id=None):

    project.check_is_job_project()

    if oss_path:
        updateOssPath(oss_path)
        printer.done()
        return

    if image_id:
        updateImageId(image_id)
        printer.done()
        return

    print('\n  Do nothing\n')

def transform_oss_path(oss_path=None):
    if oss_path:
        if not oss_path.endswith('/'):
            oss_path = oss_path+'/'
        oss_client.check(oss_path)
    return oss_path

def transform_image_id(image_id=None):
    if image_id:
        arr = client.list_images()
        for n in arr:
            if n['ImageId']==image_id:
                return image_id
        raise Exception('Invalid image_id:%s' % image_id)

    return image_id



def updateOssPath(oss_path):
    with open('./job.json','rw') as f:
        obj = json.loads(f.read())

    desc_map = obj['TaskDag']['TaskDescMap']
    for k in desc_map:
        desc_map[k]['PackageUri'] = '%sworker.tar.gz' % oss_path
        desc_map[k]['StdoutRedirectPath'] = '%slogs' % oss_path
        desc_map[k]['StderrRedirectPath'] = '%slogs' % oss_path

    s = json.dumps(obj,indent=2)
    with open('./job.json','w') as f:
        f.write(s)

def updateImageId(image_id):
    with open('./job.json','r') as f:
        obj = json.loads(f.read())

    desc_map = obj['TaskDag']['TaskDescMap']
    for k in desc_map:
        desc_map[k]['ImageId']= image_id
    s = json.dumps(obj,indent=2)

    with open('./job.json','w') as f:
        f.write(s)