import re
import nose
from batchcomputecli.tests.util import *

job_id = ''
task_name = ''


def __get_job_file():
    dirname = os.path.split(os.path.realpath(__file__))[0]
    v = os.path.join(dirname, 'test_job.json')
    return v

def test_create_job():
    v = cmd('bcs create_job -f "%s"' % __get_job_file())

    assert 'Job created' in v
    global job_id
    job_id = re.search(r'job\-[^ ]+', v).group()

def test_stop_job():
    v = cmd('bcs stop %s' % job_id)
    assert 'Done' in v

def test_update_job():
    global job_id
    v = cmd('bcs update_job %s -p 2' % job_id)
    assert 'Done' in v

def test_start_job():
    global job_id
    v = cmd('bcs start %s' % job_id)
    assert 'Done' in v

if __name__ == '__main__':
    nose.runmodule()
