
import nose
from batchcomputecli.tests.util import *
import re

job_id = ''
task_name = ''

def setUp():
    cmd('bcs login %s %s %s' % (REGION, ACCESS_ID, ACCESS_KEY))
    v = cmd('bcs jobs')
    global job_id
    job_id = re.search(r'job\-[^ ]+', v).group()


def test_job_help():
    v = cmd('bcs job -h')
    assert 'Usage:' in v
    assert 'Options:' in v

def test_job():
    v = cmd('bcs job %s' % job_id)
    global task_name
    task_name = __get_task_name(v)
    assert 'Job' in v

def __get_task_name(v):
    line = v.split('\n')[9]
    print(line)
    return re.search(r'\w+', line).group()

def test_task():
    v = cmd('bcs job %s %s' % (job_id, task_name))
    assert 'TaskName' in v
    assert 'Instances:' in v
    assert 'Waiting' in v


def test_instance():
    v = cmd('bcs job %s %s 0' % (job_id, task_name))
    assert 'log_path' in v
    assert 'time' in v

if __name__ == '__main__':
    nose.runmodule()
